For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
DocsAPI Reference
  • API Reference
    • GETGet RCS functionality
    • Upload
    • Receive Inbound Messages
    • Receive Message Statuses
    • Supported SDKs
    • Branded Test Agents
LogoLogo
SupportDashboard
API Reference

Get RCS functionality

GET
https://www.trypinnacle.dev/api/rcs_functionality
GET
/api/rcs_functionality
1import { PinnacleClient } from "rcs-js";
2
3async function main() {
4 const client = new PinnacleClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.getRcsFunctionality({});
8}
9main();
1{
2 "is_enabled": true,
3 "standalone_rich_card": true,
4 "carousel_rich_card": true,
5 "create_calendar_event_action": true,
6 "dial_action": true,
7 "open_url_action": true,
8 "share_location_action": true,
9 "view_location_action": true
10}
Retrieve the RCS functionality of a phone number. For example checks if a phone number can receive RCS message and if it can receive RCS carousels.
Was this page helpful?
Previous

Shorten URL

Next
Built with

Authentication

PINNACLE-API-Keystring
Pinnacle API Key

Query parameters

phoneNumberstringOptionalformat: "^\+\d{11}$"

The phone number to check for RCS functionality. Should be in E.164 format (i.e. +12345678901).

Response

Successfully retrieved RCS functionality
is_enabledboolean
Indicates if RCS is enabled.
standalone_rich_cardboolean
Indicates if standalone rich cards are supported.
carousel_rich_cardboolean
Indicates if carousel rich cards are supported.
create_calendar_event_actionboolean
Indicates if buttons to create a calendar event are supported.
dial_actionboolean
Indicates if dial buttons are supported.
open_url_actionboolean
Indicates if open URL buttons are supported.
share_location_actionboolean
Indicates if share location buttons are supported.
view_location_actionboolean
Indicates if view location buttons are supported.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error